List Event Categories
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/categoriesimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/categories"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/categories"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/categories")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Event Categories
List Event Categories
Retrieve a list of event categories with pagination.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
/
categories
List Event Categories
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/categoriesimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/categories"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/categories"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/categories")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Query Parameters
integer
default:"1"
Page number for pagination
integer
default:"10"
Number of categories per page
string
Filter categories by status, for example
activeorder_number, then by name.
Example Request
GET /wp-json/latepoint-api/v1/events/categories?status=active
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": [
{
"id": 1,
"name": "Workshops",
"short_description": "Hands-on group sessions",
"order_number": 0,
"status": "active",
"created_at": "2026-10-20 14:05:10",
"updated_at": "2026-10-20 14:05:10"
},
{
"id": 2,
"name": "Meetups",
"short_description": "Free community meetups",
"order_number": 1,
"status": "active",
"created_at": "2026-10-21 10:30:44",
"updated_at": "2026-10-21 10:30:44"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 2,
"total_pages": 1,
"has_next_page": false,
"has_previous_page": false
}
}
Response Fields
integer
Unique identifier for the category
string
Category name
string
Brief description of the category
integer
Display order
string
Category status
string
Creation timestamp
string
Last update timestamp
